<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hasTorRouter](./bitburner.ns.hastorrouter.md)

## NS.hasTorRouter() method

Returns whether the player has access to the darkweb.

**Signature:**

```typescript
hasTorRouter(): boolean;
```
**Returns:**

boolean

Whether player has access to the dark web.

## Remarks

RAM cost: 0.05GB

## Example


```js
if (ns.hasTorRouter()) ns.tprint("TOR router detected.");
```

